from py_saver.model.common.camel_model import CamelModel
from py_saver.model.enum.google_drive_enums import GoogleDriveType, GoogleDriveRole


class GoogleDrivePermission(CamelModel):
    # https://developers.google.com/drive/api/reference/rest/v2/permissions?#Permission
    role: GoogleDriveRole
    type: GoogleDriveType
    # email or domain name
    value: str
    # only use with user ou group type
    email_address: str | None = None
    id: str | None = None

